Projects - Problems API
List all problems of a project
Заголовок раздела «List all problems of a project»List all problems of a project with a specific ID.
GET /projects/:id/problemsResponse
Заголовок раздела «Response»Status: 200 OK[ { "created_at": "2016-03-13T10:27:00-06:00", "analysis_target_at": "2016-03-20T03:00:00-06:00", "sourceID": null, "updated_at": "2016-03-14T03:14:13-06:00", "service": { "name": "Expense Reporting", "id": 14, "provider": { "name": "Widget Data Center, External IT", "id": 30 } }, "member": { "name": "Tom Waters", "id": 36 }, "solved_at": null, "subject": "Clicking on the Submit button does not submit new expense report", "id": 221, "impact": "top", "team": { "name": "Application Development", "id": 7 }, "status": "in_progress" }, "..."]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/projects/:id/problems/active: List all active problems of a project with a specific ID/projects/:id/problems/known_errors: List all known errors of a project with a specific ID/projects/:id/problems/progress_halted: List all halted problems of a project with a specific ID/projects/:id/problems/solved: List all solved problems of a project with a specific ID
Add a problem to a project
Заголовок раздела «Add a problem to a project»Add a link between a project with a specific ID and a problem with a specific ID.
POST /projects/:id/problems/:problem_idResponse
Заголовок раздела «Response»Status: 200 OK{}Remove a problem from a project
Заголовок раздела «Remove a problem from a project»Remove the link between a project with a specific ID and a problem with a specific ID.
DELETE /projects/:id/problems/:problem_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all problems from a project
Заголовок раздела «Remove all problems from a project»Remove all links between a project with a specific ID and its problems.
DELETE /projects/:id/problemsResponse
Заголовок раздела «Response»Status: 204 No Content